Subject: bug#46773: 28.0.50; Different heights for toolbar

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Feb 2021 20:21:45 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 28 Feb 2021 14:36:03 +0100
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > This reminds me of bug#40978, which is about scaling images in toolbars
> > and the like based on the same heuristics as we do for in-buffer images
> > -- I was somewhat leery about going down that path because the
> > repercussions seem unpredictable, but that would probably have fixed
> > what I'm seeing in this bug report...
> 
> Or...  looking at that again, that's probably a completely separate
> issue, because the toolbar icons probably don't go though the Emacs
> image code at all, but all that stuff is left up to the toolkit, which
> is GTK3 in my instance?  (I'm looking at gtkutil.c...)

Yes, I think you are right.

So why does it work fore Dmitry?